Module org.jfree.chart3d
Package org.jfree.chart3d.label

# Interface CategoryItemLabelGenerator

All Known Implementing Classes:
  `StandardCategoryItemLabelGenerator`

public interface CategoryItemLabelGenerator
An item label generator for category charts (this is used for tooltips and data item labels). Note that this generator is used for individual data items, and is distinct from the `CategoryLabelGenerator` which generates labels for series keys, column keys and row keys. The `StandardCategoryItemLabelGenerator` class provides the default implementation.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`String`
`generateItemLabel(CategoryDataset3D dataset, Comparable<?> seriesKey, Comparable<?> rowKey, Comparable<?> columnKey)`
Generates a label for one series in a `CategoryDataset3D`.

## Method Details

### generateItemLabel

String generateItemLabel(CategoryDataset3D dataset, Comparable<?> seriesKey, Comparable<?> rowKey, Comparable<?> columnKey)
Generates a label for one series in a `CategoryDataset3D`.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `seriesKey` - the series key (`null` not permitted).
  `rowKey` - the row key (`null` not permitted).
  `columnKey` - the column key (`null` not permitted).
Returns:
  The series label (possibly `null`).